org.eclipse.oomph.p2.core

## Class ProfileTransaction.CommitContext

- java.lang.Object
- - org.eclipse.oomph.p2.core.ProfileTransaction.CommitContext

- Enclosing interface:
    ProfileTransaction

      public static class ProfileTransaction.CommitContext
      extends Object

  Customizes the resolution and commit process of a `profile transaction`. The methods of this callback class are called in the order in which they're declared.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProfileTransaction.CommitContext.DeltaType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfileTransaction.CommitContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProvisioningContext` | `createProvisioningContext(ProfileTransaction transaction, IProfileChangeRequest profileChangeRequest)` Called early during `resolve`.
    `IPhaseSet` | `getPhaseSet(ProfileTransaction transaction)` Called early during `commit`.
    `Confirmer` | `getUnsignedContentConfirmer()` Called early during `commit`.
    `void` | `handleExecutionResult(IStatus status)` Called late during `commit`.
    `boolean` | `handleProvisioningPlan(IProvisioningPlan provisioningPlan, Map<IInstallableUnit,ProfileTransaction.CommitContext.DeltaType> iuDeltas, Map<IInstallableUnit,Map<String,Pair<Object,Object>>> propertyDeltas, List<IMetadataRepository> metadataRepositories)` Called late during `resolve`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfileTransaction.CommitContext

          public ProfileTransaction.CommitContext()

  - ### Method Detail

    - #### createProvisioningContext

          public ProvisioningContext createProvisioningContext(ProfileTransaction transaction,
                                                      IProfileChangeRequest profileChangeRequest)
                                                        throws CoreException

      Called early during `resolve`.
      Throws:
        `CoreException`

    - #### handleProvisioningPlan

          public boolean handleProvisioningPlan(IProvisioningPlan provisioningPlan,
                                       Map<IInstallableUnit,ProfileTransaction.CommitContext.DeltaType> iuDeltas,
                                       Map<IInstallableUnit,Map<String,Pair<Object,Object>>> propertyDeltas,
                                       List<IMetadataRepository> metadataRepositories)
                                         throws CoreException

      Called late during `resolve`.
      Throws:
        `CoreException`

    - #### getPhaseSet

          public IPhaseSet getPhaseSet(ProfileTransaction transaction)
                                throws CoreException

      Called early during `commit`.
      Throws:
        `CoreException`

    - #### getUnsignedContentConfirmer

          public Confirmer getUnsignedContentConfirmer()

      Called early during `commit`.

    - #### handleExecutionResult

          public void handleExecutionResult(IStatus status)

      Called late during `commit`.

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html